#include "/lib/all_the_uniforms.glsl"


#include "/lib/settings.glsl"
#include "/lib/tonemap.glsl"

#include "/lib/util.glsl"
#include "/global/sky.glsl"
#include "/global/fog.glsl"

// Fog

varying vec2 texcoord;

/* DRAWBUFFERS:0 */

void main() {
	vec4 Color = texture2D(colortex0, texcoord);

	float Depth = texture2D(depthtex0, texcoord).x;
	vec3 ViewPos = to_view_pos(vec3(texcoord, Depth));
	vec3 PlayerPos = mat3(gbufferModelViewInverse) * ViewPos;

	float Dist = length(PlayerPos);
	float HorizontalDist = length(PlayerPos.xz);
	#ifdef BORDER_FOG

	if(Depth < 1) {
		vec3 SkyColor = texture2D(colortex1, texcoord).rgb;
		#ifdef DIMENSION_OVERWORLD
		Color.xyz = get_atm_fog(Dist, Color.xyz, PlayerPos + cameraPosition);
		#endif
		Color.xyz = get_border_fog(HorizontalDist/far, Color.xyz, SkyColor);
	}
	#endif
	
	Color.xyz = get_blindness_fog(Dist, Color.xyz);
	Color.xyz = get_lava_fog(Dist, Color.xyz, fogColor);

	gl_FragData[0] = Color;
}

