#include "/lib/all_the_uniforms.glsl"
#include "/lib/settings.glsl"
#include "/global/lighting.vsh"


void main() {
	
	init_generic();

	#ifdef WAVY_PLANTS
	if(ViewPos.z > -64 && material != 0) {
		vec3 WorldPos = mat3(gbufferModelViewInverse) * ViewPos;
		WorldPos += cameraPosition;
		// This looked much cooler but felt a bit unnatural. Also slow.
		//float Noise = (fbm(WorldPos.xz/WAVE_SIZE+frameTimeCounter/WAVE_SPEED, 1)-0.25)*WAVE_AMPLITUDE;
		float Noise = dot(sin(WorldPos/WAVE_SIZE), sin(vec3(frameTimeCounter*0.69, frameTimeCounter*0.47, frameTimeCounter*0.86)*WAVE_SPEED))*(WAVE_AMPLITUDE+rainStrength/4)*LightmapCoords.y;
		
		switch(int(material)) {
		#ifdef WAVE_LEAVES
		case 10003:
			WorldPos.x += Noise/8;
			WorldPos.zy -= Noise/12;
			break;
		#endif
		case 10004:
			if(gl_MultiTexCoord0.t < mc_midTexCoord.t)
				WorldPos.xz += Noise/4;
			break;
		case 10005:
			if(gl_MultiTexCoord0.t < mc_midTexCoord.t)
				WorldPos.xz += Noise/6;
			break;
		case 10006:
			if(gl_MultiTexCoord0.t > mc_midTexCoord.t)
				WorldPos.xz += Noise/6;
			else
				WorldPos.xz += Noise/3;
			break;
		}

		WorldPos -= cameraPosition;
		WorldPos = mat3(gbufferModelView) * WorldPos;
		gl_Position = gl_ProjectionMatrix * vec4(WorldPos, 1);
	}
	#endif

	#if TAA_MODE >= 2
    gl_Position.xy += jitterOffsets[int(framemod8)] * gl_Position.w/resolution;
    #endif
}
