#include "/lib/all_the_uniforms.glsl"
uniform sampler2D lightmap;
uniform sampler2D gtexture;


varying vec2 texcoord;
varying vec4 glcolor;
varying float Noise;

/* DRAWBUFFERS:0 */

#include "/global/lighting.fsh"

void main() {
	vec4 Color = glcolor;
	vec4 Tex = texture2D(gtexture, texcoord);
	
	if(int(material) == 10002 && isEyeInWater == 0) {
		#ifdef FANCY_WATER
		float Highlights = pow(Tex.x, 4);
		Tex.xyz -= max(Highlights*(0.5-Noise), 0);
		#endif
		Color.xyz *= 0.7;
	}
	Color *= Tex;
	
	vec3 TweakedLM = tweak_lightmap();
	Color *= vec4(TweakedLM, 1);
	if (Color.a < 0.1) {
		discard;
	}
	gl_FragData[0] = Color;
}
