#include "/lib/all_the_uniforms.glsl"
#include "/global/lighting.vsh"
#include "/lib/settings.glsl"

varying float Noise;

void main() {
	init_generic();
	#ifdef FANCY_WATER
	if(material == 10002) {
		vec3 WorldPos = mat3(gbufferModelViewInverse) * ViewPos;
		WorldPos += cameraPosition;
		
		Noise = fbm_fast(WorldPos.xz/3+frameTimeCounter/2, 2);
		
		if(fract(WorldPos.y+0.005) > 0.01)
			WorldPos.y += Noise/5-0.05;

		WorldPos -= cameraPosition;
		WorldPos = mat3(gbufferModelView) * WorldPos;
		gl_Position = gl_ProjectionMatrix * vec4(WorldPos, 1);
	}
	#endif
	#if TAA_MODE >= 2
    gl_Position.xy += jitterOffsets[int(framemod8)] * gl_Position.w/resolution;
    #endif
}
