#include "/lib/all_the_uniforms.glsl"
uniform sampler2D lightmap;
uniform sampler2D gtexture;


varying vec2 texcoord;
varying vec4 glcolor;

/* DRAWBUFFERS:01 */

#include "/global/lighting.fsh"

void main() {
	vec4 Color = texture2D(gtexture, texcoord) * glcolor;
	vec3 TweakedLM = tweak_lightmap();
	Color.xyz *= TweakedLM;
	
	if (Color.a < 0.1) {
		discard;
	}
	Color = vec4(apply_saturation(Color.rgb, 0.5), 0.25);
	gl_FragData[0] = Color;
	#ifdef BORDER_FOG
	gl_FragData[1] = Color;
	#endif
}
